/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
import java.util.Random;

/**
 * A "stable" noise function.  This always returns the same noise
 * function, and is locally continuous so that it is relatively size
 * independent.
 */
public final class ColorNoise extends Noise implements ELOperator 
{
  public ColorNoise()
  {
    filename = "cnoise1.jpg";
  }

  public String name()
  {
    return "ColorNoise";
  }

  public String description()
  {
    return "A smooth color noise function";
  }  
}
